/*
Copyright 2017-2024 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#ifndef INIT_H
#define INIT_H

#include <stdio.h>
#include <stdbool.h>

// random initial condition
int init_random(_Complex double* u0, int K1, int K2, int seed);

// Gaussian initial condition
int init_gaussian(_Complex double* u0, int K1, int K2);

// Initialize from file
int init_file_txt (_Complex double* u0, int K1, int K2, FILE* initfile);
int init_file_bin (_Complex double* u0, int K1, int K2, FILE* initfile);

#endif
